/* font-family: 'Allison', cursive;
font-family: 'Raleway', sans-serif; */
* {
    margin: 0;
    padding: 0;
    font-family: 'Raleway', sans-serif;
}
header {
    background-color: black;
    padding: 0 90px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
nav {
    align-self: center;
    display: flex;
}
nav a {
    color: white;
    text-decoration: none;
    text-transform: uppercase;
    padding: 3px 9px;

}
nav a:hover {
    color: orange;
}
#hero {
    height: 60vh;
    overflow: hidden;
}
#hero img {
    max-height: 100%;
    min-width: 100%;
    object-fit: cover;
    vertical-align: middle;
}
#features div {
    display: flex;
    column-gap: 20px;
    row-gap: 20px;
    justify-content: space-evenly;
    flex-wrap: wrap;
    padding-bottom: 30px;
}
article {
    background-color: purple;
    width: 350px;
    display: flex;
    padding: 15px;
    height: 300px;
    flex-direction: column;
}
article span {
    text-align: center;
    flex-grow: 1;
}
h1 {
    font-family: 'Allison', cursive;
    font-size: 80px;
    color: orange;

}
h2 {
    font-family: 'Allison', cursive;
    font-size: 60px;
    color: white;
}
h3 {
    font-family: 'Allison', cursive;
    font-size: 80px;
    color: orange;
    text-align: center;
}
h4 {
    font-family: 'Allison', cursive;
    font-size: 60px;
    color: rgb(255, 255, 255);

}
h5 {
    color: purple;
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 700;
}

p {
    color: rgb(235, 226, 245);
}
i {
    font-size: 50px;
    color: orange;
}
article a {
    background-color: white;
    color: purple;
    text-decoration: none;
    text-transform: uppercase;
    padding: 3px 9px;
    align-self: center;
}
#gallery {
    background-color: black;
    padding: 40px 90px;
}
#gallery h2 {
    text-align: center;
}
#gallery div {
    display: flex;
    flex-wrap: wrap;
    column-gap: 10px;
    row-gap: 10px;
    justify-content: center;
}
#gallery img {
    flex: 1 1 230px;
}
footer {
    background-color: orange;
    padding: 20px 90px;
    display: flex;
    column-gap: 20px;
flex-wrap: wrap;
justify-content: flex-end;
row-gap: 20px;
}
footer i {
    font-size: 30px;
    color: white;
}
footer h4 {
    flex-grow: 1;
}
.icons {
    align-self: center;
}
.toggle {
    display: none;
}
.active {
    display: flex;
}
i.fa-bars {
    color: white;
    font-size: 30px;
    align-self: center;
    }
/* tablet */
@media (max-width: 825px) {
    body {

    }
    h1 {
        font-size: 60px;
        padding: 0px;
        text-align: left;
    }
    nav {
        flex-direction: column;
    }
    footer {
        background-color: orange;
        padding: 20px 40px;
        display: flex;
        column-gap: 20px;
    flex-wrap: wrap;
    justify-content: flex-end;
    row-gap: 20px;
    }
}
/* mobile */
@media (max-width: 450px) {
    body {

    }
    #gallery {
        padding: 40px 40px;
    }
    footer {
        justify-content: center;
        text-align: center;
    }
    footer span {
        flex: 100%;
    }
}
/* rules for toggle nav */
@media (max-width: 700px) {
    footer h4 {
        flex: 100%;
    }
    .toggle {
        display: block;
        align-self: center;
        }
    nav {
        flex: 100%;
        display: none;
        text-align: center;
        row-gap: 8px;
        flex-direction: row;
    }
}
